function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/05_Gendarmery_Table_HO.lua', 'hidden_object', 'data/Scenes/05_Gendarmery_Main.lua')
    
    play_field:IgnoreOnTestPoint('BG_Sapog');
    
    play_field:GetObject('Bag_anim' ):GetAnimation():Stop();
    play_field:GetObject('Pistol'   ):SetOpacity(0);
    play_field:GetObject('Keys'     ):SetVisible(false);
    
    AddTask(CreateTask('SAFE_VALVE', '',         'Safe_valve'));
    AddTask(CreateTask('KEYS',       '',         'Keys'));
    AddTask(CreateTask('CARD',       'CARDS',    'Card', 'Card1', 'Card2', 'Card3'));
    AddTask(CreateTask('LIGHTER',    'LIGHTERS', 'Lighter', 'Lighter1', 'Lighter2', 'Lighter3'));
    AddTask(CreateTask('PISTOL',     '',         'Pistol'));
    
    AddRandomTasks( CreateTask('BLUDGEON',         '', 'Bludgeon'),
                    CreateTask('CAMEO',           '', 'Brooch'),
                    CreateTask('BROOM',            '', 'Broom'),
                    CreateTask('CLIP',             '', 'Clip'),
                    CreateTask('POCKET_WATCH',     '', 'Clock'),
                    CreateTask('CUCUMBER',         '', 'Cucumber'),
                    CreateTask('FORK',             '', 'Fork'),
                    CreateTask('GALOSHES',         '', 'Galoshes'),
                    CreateTask('N',                '', 'N'),
                    CreateTask('ROLL',             '', 'Roll'),
                    CreateTask('SAUSAGE',          '', 'Sausage'),
                    CreateTask('WALKING_STICK',    '', 'Stick'),
                    CreateTask('YARN_BALL',        '', 'Thread'),
                    CreateTask('ABSCISSED_LEAFS',  '', 'AbscissedLeafs'),
                    CreateTask('BELL',             '', 'Bell'),
                    CreateTask('BOOT',             '', 'Boot'),
                    CreateTask('BUCKLE',           '', 'Buckle'),
                    CreateTask('BULLET',           '', 'Bullet'),
                    CreateTask('CHAIN',            '', 'Chain'),
                    CreateTask('COAT_OF_ARMS',     '', 'CoatOfArms'),
                    CreateTask('DAGGER',           '', 'Dagger'),
                    CreateTask('BUTTON',           '', 'Button'),
                    CreateTask('FEATHER',          '', 'Feather'),
                    CreateTask('HANDCUFFS',        '', 'Handcuffs'),
                    CreateTask('HANDKERCHIEF',     '', 'Handkerchief'),
                    CreateTask('JUG',              '', 'Jug'),
                    CreateTask('LANTERN',          '', 'Lantern'),
                    CreateTask('LOCK',             '', 'Lock'),
                    CreateTask('NEWSPAPER',        'NEWSPAPERS',      'Newspaper1',     'Newspaper2'),
                    CreateTask('PRECIOUS_STONE',   'PRECIOUS_STONES', 'PreciousStone1', 'PreciousStone2'),
                    CreateTask('RAPIER',           '', 'Rapier'),
                    CreateTask('ROPE',             '', 'Rope'),
                    CreateTask('SCARF',            '', 'Scarf'),
                    CreateTask('SHOES',            '', 'Shoes'),
                    CreateTask('SMOKE_PIPE',       '', 'SmokePipe'),
                    CreateTask('WAX_SEAL_STAMP',   '', 'Stamp'),
                    CreateTask('STAR',             '', 'Star'),
                    CreateTask('UMBRELLA',         '', 'Umbrella'));
    
    RegisterActiveObject('area_bag',        function(obj_name)
                                                play_field:GetObject('area_bag'):SetVisible(false);
                                                
                                                local anim = play_field:GetObject('Bag_anim'):GetAnimation();
                                                local time = GetAnimationLength(anim);
                                                
                                                anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
                                                anim:Play();
                                                
                                                play_field:GetObject('Pistol'):ChangeOpacity(0, 1, GetAnimationLength(anim));
                                                
                                                PlaySound('05_OpenBag');
                                            end,
                                            function(obj_name)
                                                play_field:GetObject('area_bag'):SetVisible(false);
                                                
                                                local anim = play_field:GetObject('Bag_anim'):GetAnimation();
                                                anim:SetFrame(anim:GetFrames() - 1);
                                                
                                                if not HasGameState("TaskObjectFound", game_state.scene_path.."(Pistol)") then
                                                    play_field:GetObject('Pistol'):SetOpacity(1);
                                                end
                                            end);
    
    RegisterActiveObject('area_skovorodka', function(obj_name)
                                                play_field:GetObject(obj_name):SetVisible(false);
                                                    
                                                play_field:GetObject('skovorodka'):Move(55, 15, 0.5)
                                                play_field:GetObject('Keys'      ):Move(55, 15, 0.5);
                                                play_field:GetObject('Keys'      ):SetVisible(true);
                                                
                                                PlaySound('05_MovePan');
                                            end,
                                            function(obj_name)
                                                play_field:GetObject(obj_name):SetVisible(false);
                                                
                                                local skov = play_field:GetObject('skovorodka');
                                                local keys = play_field:GetObject('Keys');
                                                
                                                skov:SetXY(skov:GetX() + 55, skov:GetY() + 15);
                                                keys:SetXY(keys:GetX() + 55, keys:GetY() + 15);
                                                keys:SetVisible(true);
                                            end)
                                    
    RegisterToolFindInfo('05_safe_valve', nil, nil, nil); --POLICE_STATION_2
    
    CreateCoffeEffect();
    
    play_field:GetObject('skovorodka'):SetClipping(842, 0, 1024, 768);
    
    local state_value = game_state.parent_scene..'(area_door)'
    if not HasGameState('ObjectClicked', state_value) then
        play_field:GetObject('door_open_layer'):SetVisible(false);
    end
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

function CreateCoffeEffect()
    local composition = CreateCompositionSequence();
    local compositionDuration = 2.04;
    composition:SetDuration(compositionDuration);
    composition:AttachTo(play_field);
    composition:SetZ(105);
    composition:SetCyclic(true);
    
    
    -- Layer Smoke_1
    local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/CoffeEff/smoke_2.png");
    element:SetName("Smoke_1");
    composition:AddElement(element);
    element:SetHotSpot(56.5, 39.5);
    element:SetParentElement(composition);
    element:SetXY(404, 362.5);
    
    element:SetScaleX(0.74774774774775);
    element:SetScaleY(0.74774774774775);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0, 2.04);
    
    effector:SetKey(_TRACK_A, 0, 0);
    effector:SetKey(_TRACK_A, 2, -0.314159265);
    effector:SetKey(_TRACK_O, 0, 0);
    effector:SetKey(_TRACK_O, 1, 0.3);
    effector:SetKey(_TRACK_O, 2, 0);
    
    effector:Play();
    
    
    -- Layer Smoke_2
    local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/CoffeEff/smoke_inside_cup.png");
    element:SetName("Smoke_2");
    composition:AddElement(element);
    element:SetHotSpot(35, 54.5);
    element:SetParentElement(composition);
    element:SetXY(408.5, 367.5);
    
    element:SetAngle(0);
    
    effector = element:GetEffector();
    effector:SetLifeTime(1, 2.04);
    
    effector:SetKey(_TRACK_SX, 1, -1);
    effector:SetKey(_TRACK_SY, 1, 1);
    effector:SetKey(_TRACK_SX, 3, -1.35);
    effector:SetKey(_TRACK_SY, 3, 1.35);
    effector:SetKey(_TRACK_O, 1, 0);
    effector:SetKey(_TRACK_O, 2, 0.65993368724366);
    effector:SetKey(_TRACK_O, 3, 0);
    
    effector:Play();
    
    
    -- Layer Smoke_3
    local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/CoffeEff/smoke_inside_cup.png");
    element:SetName("Smoke_3");
    composition:AddElement(element);
    element:SetHotSpot(35, 54.5);
    element:SetParentElement(composition);
    element:SetXY(408.5, 367.5);
    
    element:SetAngle(0);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0, 2.04);
    
    effector:SetKey(_TRACK_SX, 0, -1.175);
    effector:SetKey(_TRACK_SY, 0, 1.175);
    effector:SetKey(_TRACK_SX, 1, -1.35);
    effector:SetKey(_TRACK_SY, 1, 1.35);
    effector:SetKey(_TRACK_O, 0, 0.65993368724366);
    effector:SetKey(_TRACK_O, 1, 0);
    
    effector:Play();
    
    
    -- Layer Smoke_4
    local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/CoffeEff/smoke_inside_cup.png");
    element:SetName("Smoke_4");
    composition:AddElement(element);
    element:SetHotSpot(35, 54.5);
    element:SetParentElement(composition);
    element:SetXY(408.5, 367.5);
    
    element:SetAngle(0);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0, 2.04);
    
    effector:SetKey(_TRACK_SX, 0, -1);
    effector:SetKey(_TRACK_SY, 0, 1);
    effector:SetKey(_TRACK_SX, 2, -1.35);
    effector:SetKey(_TRACK_SY, 2, 1.35);
    effector:SetKey(_TRACK_O, 0, 0);
    effector:SetKey(_TRACK_O, 1, 0.65993368724366);
    effector:SetKey(_TRACK_O, 2, 0);
    
    effector:Play();
    
    
    -- Layer Smoke_5
    local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/CoffeEff/smoke.png");
    element:SetName("Smoke_5");
    composition:AddElement(element);
    element:SetHotSpot(93.5, 269);
    element:SetParentElement(composition);
    element:SetXY(420, 377);
    
    element:SetAngle(0);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0, 2.04);
    
    effector:SetKey(_TRACK_SX, 0, 1);
    effector:SetKey(_TRACK_SY, 0, 0.95130111524164);
    effector:SetKey(_TRACK_SX, 1, 1);
    effector:SetKey(_TRACK_SY, 1, 1.2);
    effector:SetKey(_TRACK_O, 0, 1);
    effector:SetKey(_TRACK_O, 1, 0.01);
    
    effector:Play();
    
    
    -- Layer Smoke_6
    local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/CoffeEff/smoke.png");
    element:SetName("Smoke_6");
    composition:AddElement(element);
    element:SetHotSpot(93.5, 269);
    element:SetParentElement(composition);
    element:SetXY(420, 377);
    
    element:SetAngle(0);
    
    effector = element:GetEffector();
    effector:SetLifeTime(1, 2.04);
    
    effector:SetKey(_TRACK_SX, 1, 1);
    effector:SetKey(_TRACK_SY, 1, 0.70260223048327);
    effector:SetKey(_TRACK_SX, 3, 1);
    effector:SetKey(_TRACK_SY, 3, 1.2);
    effector:SetKey(_TRACK_O, 1, 0);
    effector:SetKey(_TRACK_O, 2, 1);
    effector:SetKey(_TRACK_O, 3, 0.01);
    
    effector:Play();
    
    
    -- Layer Smoke_7
    local element = CreateCompositionElement("data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/CoffeEff/smoke.png");
    element:SetName("Smoke_7");
    composition:AddElement(element);
    element:SetHotSpot(93.5, 269);
    element:SetParentElement(composition);
    element:SetXY(420, 377);
    
    element:SetAngle(0);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0, 2.04);
    
    effector:SetKey(_TRACK_SX, 0, 1);
    effector:SetKey(_TRACK_SY, 0, 0.70260223048327);
    effector:SetKey(_TRACK_SX, 2, 1);
    effector:SetKey(_TRACK_SY, 2, 1.2);
    effector:SetKey(_TRACK_O, 0, 0);
    effector:SetKey(_TRACK_O, 1, 1);
    effector:SetKey(_TRACK_O, 2, 0.01);
    
    effector:Play();
    
    composition:Play();
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('background',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Bludgeon.png',0,0,37,195,1,0)
	anim:SetHotSpot(18,97)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bludgeon',anim,188,142,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Brooch.png',0,0,57,73,1,0)
	anim:SetHotSpot(28,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Brooch',anim,216,93,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Broom.png',0,0,64,182,1,0)
	anim:SetHotSpot(32,91)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Broom',anim,515,87,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Card.png',0,0,56,65,1,0)
	anim:SetHotSpot(28,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Card',anim,649,581,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Clip.png',0,0,80,72,1,0)
	anim:SetHotSpot(40,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clip',anim,946,595,101,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Clock.png',0,0,110,110,1,0)
	anim:SetHotSpot(55,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clock',anim,91,602,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Fork.png',0,0,105,66,1,0)
	anim:SetHotSpot(52,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fork',anim,175,489,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Galoshes.png',0,0,56,72,1,0)
	anim:SetHotSpot(28,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Galoshes',anim,555,176,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Keys.png',0,0,65,47,1,0)
	anim:SetHotSpot(32,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Keys',anim,868,456,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Lighter.png',0,0,31,65,1,0)
	anim:SetHotSpot(15,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lighter',anim,768,420,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/N.png',0,0,58,76,1,0)
	anim:SetHotSpot(29,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('N',anim,140,172,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Roll.png',0,0,116,54,1,0)
	anim:SetHotSpot(58,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Roll',anim,453,573,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Sausage.png',0,0,48,34,1,0)
	anim:SetHotSpot(24,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sausage',anim,689,251,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Stick.png',0,0,275,66,1,0)
	anim:SetHotSpot(137,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Stick',anim,873,191,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Thread.png',0,0,108,83,1,0)
	anim:SetHotSpot(54,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Thread',anim,297,451,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Animations/Bag.png',0,0,183,172,6,12)
	anim:SetHotSpot(91,86)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bag_anim',anim,405,214,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_bag',anim,406,178,104,0,1.5,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/skovorodka.png',0,0,229,182,1,0)
	anim:SetHotSpot(114,91)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('skovorodka',anim,877,463,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/stol.png',0,0,210,348,1,0)
	anim:SetHotSpot(105,174)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stol',anim,875,418,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_skovorodka',anim,928,477,106,37,10,15)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Safe_valve.png',0,0,105,105,1,0)
	anim:SetHotSpot(52,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Safe_valve',anim,224,573,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/door_open_layer.jpg',0,0,226,199,1,0)
	anim:SetHotSpot(113,99)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('door_open_layer',anim,603,99,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Card1.png',0,0,59,49,1,0)
	anim:SetHotSpot(29,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Card1',anim,562,333,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Card2.png',0,0,80,71,1,0)
	anim:SetHotSpot(40,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Card2',anim,108,79,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Card3.png',0,0,50,53,1,0)
	anim:SetHotSpot(25,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Card3',anim,56,415,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Lighter1.png',0,0,73,67,1,0)
	anim:SetHotSpot(36,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lighter1',anim,729,157,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Lighter2.png',0,0,53,59,1,0)
	anim:SetHotSpot(26,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lighter2',anim,52,331,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Lighter3.png',0,0,65,51,1,0)
	anim:SetHotSpot(32,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lighter3',anim,861,647,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/BG_Card1.png',0,0,87,64,1,0)
	anim:SetHotSpot(43,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Card1',anim,585,333,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/BG_Card2.png',0,0,81,53,1,0)
	anim:SetHotSpot(40,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Card2',anim,111,60,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/BG_Card3.png',0,0,57,47,1,0)
	anim:SetHotSpot(28,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Card3',anim,58,404,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Cucumber.png',0,0,97,50,1,0)
	anim:SetHotSpot(48,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cucumber',anim,949,273,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/AbscissedLeafs.png',0,0,50,31,1,0)
	anim:SetHotSpot(25,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('AbscissedLeafs',anim,500,208,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Bell.png',0,0,50,69,1,0)
	anim:SetHotSpot(25,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bell',anim,679,149,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Boot.png',0,0,62,55,1,0)
	anim:SetHotSpot(31,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Boot',anim,781,37,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Buckle.png',0,0,30,29,1,0)
	anim:SetHotSpot(15,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Buckle',anim,208,329,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Bullet.png',0,0,38,40,1,0)
	anim:SetHotSpot(19,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bullet',anim,658,531,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Chain.png',0,0,47,69,1,0)
	anim:SetHotSpot(23,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Chain',anim,890,82,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/CoatOfArms.png',0,0,30,32,1,0)
	anim:SetHotSpot(15,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('CoatOfArms',anim,30,28,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Dagger.png',0,0,80,38,1,0)
	anim:SetHotSpot(40,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Dagger',anim,670,75,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Button.png',0,0,34,27,1,0)
	anim:SetHotSpot(17,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Button',anim,635,291,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Feather.png',0,0,89,71,1,0)
	anim:SetHotSpot(44,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Feather',anim,647,422,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Handcuffs.png',0,0,153,76,1,0)
	anim:SetHotSpot(76,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Handcuffs',anim,507,299,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Handkerchief.png',0,0,92,65,1,0)
	anim:SetHotSpot(46,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Handkerchief',anim,173,378,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Jug.png',0,0,42,40,1,0)
	anim:SetHotSpot(21,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Jug',anim,830,36,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Lantern.png',0,0,55,118,1,0)
	anim:SetHotSpot(27,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lantern',anim,989,317,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Lock.png',0,0,63,53,1,0)
	anim:SetHotSpot(31,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lock',anim,598,221,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Newspaper1.png',0,0,68,68,1,0)
	anim:SetHotSpot(34,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Newspaper1',anim,995,404,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Newspaper2.png',0,0,120,96,1,0)
	anim:SetHotSpot(60,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Newspaper2',anim,118,477,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Pistol.png',0,0,136,59,1,0)
	anim:SetHotSpot(68,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pistol',anim,398,165,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/PreciousStone1.png',0,0,39,38,1,0)
	anim:SetHotSpot(19,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('PreciousStone1',anim,698,302,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/PreciousStone2.png',0,0,39,34,1,0)
	anim:SetHotSpot(19,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('PreciousStone2',anim,534,654,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Rapier.png',0,0,277,71,1,0)
	anim:SetHotSpot(138,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rapier',anim,134,54,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Rope.png',0,0,102,104,1,0)
	anim:SetHotSpot(51,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rope',anim,840,571,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Scarf.png',0,0,118,167,1,0)
	anim:SetHotSpot(59,83)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Scarf',anim,63,223,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Shoes.png',0,0,114,93,1,0)
	anim:SetHotSpot(57,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Shoes',anim,298,295,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/SmokePipe.png',0,0,79,39,1,0)
	anim:SetHotSpot(39,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('SmokePipe',anim,120,337,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Stamp.png',0,0,61,63,1,0)
	anim:SetHotSpot(30,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Stamp',anim,441,466,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Star.png',0,0,34,31,1,0)
	anim:SetHotSpot(17,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Star',anim,165,274,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Items/Umbrella.png',0,0,79,242,1,0)
	anim:SetHotSpot(39,121)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Umbrella',anim,32,491,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/BG_chain.png',0,0,11,16,1,0)
	anim:SetHotSpot(5,8)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_chain',anim,881,53,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/BG_Kuvshin.png',0,0,40,44,1,0)
	anim:SetHotSpot(20,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Kuvshin',anim,829,38,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/BG_lantern.png',0,0,59,118,1,0)
	anim:SetHotSpot(29,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_lantern',anim,984,312,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/BG_newspaper.png',0,0,33,74,1,0)
	anim:SetHotSpot(16,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_newspaper',anim,960,397,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/BG_rope.png',0,0,107,159,1,0)
	anim:SetHotSpot(53,79)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_rope',anim,822,561,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/BG_Sapog.png',0,0,38,61,1,0)
	anim:SetHotSpot(19,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Sapog',anim,783,36,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/BG_scarf.png',0,0,61,173,1,0)
	anim:SetHotSpot(30,86)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_scarf',anim,102,219,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/BG_zontik.png',0,0,98,252,1,0)
	anim:SetHotSpot(49,126)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_zontik',anim,45,599,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_HO/Layers/BG_Stick.png',0,0,63,50,1,0)
	anim:SetHotSpot(31,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Stick',anim,748,208,102,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
